Loading...
Searching...
No Matches
deepprotenum.h File Reference
`#include "pappsomspp/export-import-config.h"`
`#include <QString>`

Go to the source code of this file.

## Classes

class | pappso::DeepProtEnumStr

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Enumerations

enum class | pappso::DeepProtMatchType : std::uint8_t { pappso::uncategorized = 0 , pappso::ZeroMassDelta = 1 , pappso::ZeroMassDeltaMissedCleavage , pappso::ZeroMassDeltaSemiTryptic , pappso::DeltaPosition = 4 , pappso::NoDeltaPosition = 5 , pappso::last = 6 }
| definition of different class of PSMs used by DeepProt More...
enum class | pappso::DeepProtPeptideCandidateStatus : std::uint8_t { pappso::unmodified = 0 , pappso::ZeroMassDelta = 1 , pappso::CterRemoval = 2 , pappso::NterRemoval = 3 , pappso::MissedCleavage = 4 , pappso::DeltaPosition = 5 , pappso::NoDeltaPosition = 6 , pappso::last = 7 }
| definition of different status for potential peptide candidates on the same spectrum More...